%global pypi_name micawber

Name:           python-%{pypi_name}
Version:        0.4.1
Release:        1%{?dist}
Summary:        a small library for extracting rich content from urls

License:        MIT
URL:            http://github.com/coleifer/micawber/
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A small library for extracting rich content from urls. what does it do?
-micawber supplies a few methods for retrieving rich metadata about a variety
of links, such as links to youtube videos. micawber also provides functions for
parsing blocks of text and html and replacing links to videos with rich
embedded --here is a quick example:.. code-block:: python import micawber load
up rules for...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A small library for extracting rich content from urls. what does it do?
-micawber supplies a few methods for retrieving rich metadata about a variety
of links, such as links to youtube videos. micawber also provides functions for
parsing blocks of text and html and replacing links to videos with rich
embedded --here is a quick example:.. code-block:: python import micawber load
up rules for...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# the tests fail with ImportError: cannot import name 'bs_kwargs' from 'micawber.parsers'
# so disabling for now
# %{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Jun  9 2019 José Matos <jamatos@fedoraproject.org> - 0.4.1-1
- update to 0.4.1

* Sat Sep  1 2018 José Matos <jamatos@fedoraproject.org> - 0.3.5-1
- Initial package.
